Retrieve the list of short links

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to retrieve the list of every short link of your account, whatever its type: redirection, landing_page or file.

Parameters

NameTypeDescription
typestringFilter the list by type [redirection, landing_page, file]
date_fromstringFilter short links created on or after this date
date_tostringFilter short links created on or before this date

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

[
  {
    "name": "name1",
    "type": "redirection",
    "url": "https://8pu.sh/slug1",
    "redirect_url": "https://example.com",
    "status": "active",
    "created_at": "2026-02-24T13:14:00+01:00",
    "expiration_date": "2028-02-24T13:14:00+01:00"
  },
  {
    "name": "name2",
    "type": "landing_page",
    "url": "https://8pu.sh/slug2",
    "title": "title2",
    "description": "description2",
    "status": "active",
    "created_at": "2026-02-20T13:14:00+01:00",
    "expiration_date": "2028-02-20T13:14:00+01:00"
  },
  {
    "name": "v.jpeg",
    "type": "file",
    "url": "https://8pu.sh/f/v.jpeg",
    "created_at": "2026-02-22T13:14:00+01:00",
    "expiration_date": "2026-03-09T13:14:00+01:00",
    "number_of_downloads": 0
  }
]
Query Params
Headers
Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json